const router = require('express').Router();
const authRouter = require('./auth');
const { supabaseRouter } = require('./supabaseClient');
const profileRouter = require('./profile');
const initiativesRouter = require('./initiatives');
const votesRouter = require('./votes');
const additionalServicesRouter = require('./additional_services');
const chatsRouter = require('./chats');
const camerasRouter = require('./cameras');
const ticketsRouter = require('./tickets');
const messagesRouter = require('./messages');
const utilityPaymentsRouter = require('./utility_payments');
const apartmentsRouter = require('./apartments');
const buildingsRouter = require('./buildings');
const userApartmentsRouter = require('./user_apartments');

module.exports = router;

router.use('/auth', authRouter);
router.use('/supabase', supabaseRouter);
router.use('', profileRouter);
router.use('', initiativesRouter);
router.use('', votesRouter);
router.use('', additionalServicesRouter);
router.use('', chatsRouter);
router.use('', camerasRouter);
router.use('', ticketsRouter);
router.use('', messagesRouter);
router.use('', utilityPaymentsRouter);
router.use('', apartmentsRouter);
router.use('', buildingsRouter);
router.use('', userApartmentsRouter);